#include <string.h>
#include "defines.h"
#include "acash.h"

int cash2_read1line1(CFILE *fp,unchar line[],int max)
/* コメント対応テキスト１行読みだし */
/* １行はmaxバイト以下のこと*/
{
int i;
unchar c;
	do {
		if (cash2_fgets(line,max,fp)==NULL) return(1);
		line[strlen(line)-1]=0; /* 改行コードを消す */
		i=0;
		while (c=line[i++],c!=0 && c!=';');
	} while (c==';');
	return(0);
}
